Bug 11329 - Incorrect error message when installing from nfs mounted CD
Summary: Incorrect error message when installing from nfs mounted CD
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 6.2
Hardware: sparc Linux
medium
low
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-09 15:26 UTC by am
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 18:24:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description am 2000-05-09 15:26:18 UTC
The error message printed for read problems when installing
from nfs mounted CD is incorrect.

Error message example:

  error 2 reading header: Success


Fix:

In the file:  /cdrom/misc/src/anaconda/isys/uncpio.c
function:     myCpioInstallArchive()

The code:

if ((rc = getNextHeader(&fd, &ch))) {
  fprintf(stderr, _("error %d reading header: %s\n"), rc, strerror(errno));

should probably be:

if ((rc = getNextHeader(&fd, &ch))) {
  fprintf(stderr, _("error %d reading header: %s\n"), rc,
myCpioStrerror(rc));


/Andreas Moestedt

Comment 1 Erik Troan 2000-08-04 18:24:33 UTC
Applied fix -- thanks


Note You need to log in before you can comment on or make changes to this bug.